package gq.unurled.raxen.config;

import gq.unurled.raxen.Raxen;
import lombok.Getter;
import org.bukkit.configuration.file.FileConfiguration;

import java.io.File;

public class Config {
    private Raxen main;

    private File configFile;

    @Getter
    private FileConfiguration config;


    public Config(Raxen main) {
        this.main = main;
        this.config = main.getConfig();
    }

    public void init() {
        FileConfiguration config = main.getConfig();
        File configFile = new File(main.getDataFolder() + "/config.yml");
        if (!(configFile.exists())) {
            main.saveDefaultConfig();
        }
        if(!main.getVersion().equalsIgnoreCase((String) config.get("version"))){
            main.saveDefaultConfig();
        }
    }

}
