package gq.unurled.raxen.manager;

import gq.unurled.raxen.Raxen;
import gq.unurled.raxen.listener.player.*;
import gq.unurled.raxen.utils.AureliumSkills;
import gq.unurled.raxen.utils.Reload;
import org.bukkit.plugin.PluginManager;

public class ListenerManager {

    private final Raxen main;
    private final PluginManager pm;

    public ListenerManager(Raxen main) {
        this.main = main;
        this.pm = main.getPm();
    }

    public void register() {
        this.pm.registerEvents(new JoinEvent(main), main);
        this.pm.registerEvents(new LeaveEvent(main), main);
        this.pm.registerEvents(new ArmorEvent(main), main);
        this.pm.registerEvents(new ItemHandEvent(main), main);
        this.pm.registerEvents(new AureliumSkills(main), main);
        this.pm.registerEvents(new Reload(), main);
    }
}
