package gq.unurled.raxen.utils;

import com.mongodb.ConnectionString;
import com.mongodb.client.MongoClient;
import com.mongodb.client.MongoClients;
import com.mongodb.client.MongoCollection;
import com.mongodb.client.MongoDatabase;
import lombok.Getter;
import org.bson.Document;
import org.bukkit.Bukkit;
import org.bukkit.ChatColor;

public class MongoDB {
    @Getter
    private MongoClient mongoClient;
    @Getter
    private MongoDatabase mongoDatabase;
    @Getter
    private MongoCollection<Document> mongoCollection;

    public MongoDB() {
        this.connect();
    }

    public void connect() {
        ConnectionString connectionString = new ConnectionString("mongodb://localhost:27017");
        mongoClient = MongoClients.create(connectionString);
        mongoDatabase = mongoClient.getDatabase("Elixium");
        mongoCollection = mongoDatabase.getCollection("player");

        Bukkit.getConsoleSender().sendMessage(ChatColor.GREEN + "MongoDB connected!");
    }
}
