package gq.unurled.raxen.utils;

import gq.unurled.raxen.Raxen;
import org.bukkit.attribute.Attribute;
import org.bukkit.entity.Player;

import static gq.unurled.raxen.utils.Utils.msgPlayer;

public class Skills {

    public static void updateSkills(Player player) {
        gq.unurled.raxen.components.player.Skills skills = Raxen.getProfileManager().getPlayerProfile(player.getUniqueId()).getSkils();
        int health, defense, speed, strength;
        health = skills.getHealth();
        defense = skills.getDefense();
        speed = skills.getSpeed();
        strength = skills.getStrength();
        player.getAttribute(Attribute.GENERIC_MAX_HEALTH).setBaseValue(20D + health / 100);
        player.setWalkSpeed((float) (0.0 + (speed / 100) * 0.2));
        player.setFlySpeed((float) (0.0 + (speed / 100) * 0.2));
        msgPlayer(player, "Speed " + speed, "Health " + health, "Defense " + defense, "Strength " + strength);
    }

}
