package gq.unurled.raxen.listener.player;

import gq.unurled.raxen.Raxen;
import gq.unurled.raxen.config.PlayerConfig;
import gq.unurled.raxen.manager.ProfileManager;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerQuitEvent;

public class LeaveEvent implements Listener {

    private final PlayerConfig playerConfig;

    public LeaveEvent(Raxen main) {
        ProfileManager profileManager = main.getProfileManager();
        this.playerConfig = main.getPlayerConfig();
    }

    @EventHandler
    public void PlayerLeaveEvent(PlayerQuitEvent e) {
        Player player = e.getPlayer();
        playerConfig.savePlayerConfig(player);
    }
}
